summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andrew Strong2022-04-23 04:45:14 +0200
committer Willy Sudiarto Raharjo2022-04-23 20:47:11 +0200
commit1d820f5274135cb2d0992df807e51745ef6a9f2a (patch)
treefa3cf6f1f08f973d121622633e7c8e47112ffb46
parent5ffb695d082fc2a819641852807a167c7de27940 (diff)
downloadslackbuilds-1d820f5274135cb2d0992df807e51745ef6a9f2a.tar.gz
audio/opustags: Added (View and edit Ogg Opus comments.)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--audio/opustags/README8
-rw-r--r--audio/opustags/opustags.SlackBuild101
-rw-r--r--audio/opustags/opustags.info10
-rw-r--r--audio/opustags/slack-desc19
4 files changed, 138 insertions, 0 deletions
diff --git a/audio/opustags/README b/audio/opustags/README
new file mode 100644
index 0000000000..397a2911e3
--- /dev/null
+++ b/audio/opustags/README
@@ -0,0 +1,8 @@
+opustags can read and edit the comment header of an Ogg Opus file.
+
+Tags can be simply viewed, or completely deleted from the Ogg Opus
+file as well as being added individually on the same command line.
+Tags can also be edited interactively in Vim.
+
+Basic usage can be seen with 'opustags --help' while more detailed
+usage can be seen in the man pages.
diff --git a/audio/opustags/opustags.SlackBuild b/audio/opustags/opustags.SlackBuild
new file mode 100644
index 0000000000..1754a38c69
--- /dev/null
+++ b/audio/opustags/opustags.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/bash
+
+# Slackware build script for opustags
+
+# Copyright 2022, Andrew Strong, Blue Mountains, Australia.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=opustags
+VERSION=${VERSION:-1.6.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_MANDIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.md LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/audio/opustags/opustags.info b/audio/opustags/opustags.info
new file mode 100644
index 0000000000..bc41cd586b
--- /dev/null
+++ b/audio/opustags/opustags.info
@@ -0,0 +1,10 @@
+PRGNAM="opustags"
+VERSION="1.6.0"
+HOMEPAGE="https://github.com/fmang/opustags"
+DOWNLOAD="https://github.com/fmang/opustags/archive/1.6.0/opustags-1.6.0.tar.gz"
+MD5SUM="f00c3059457ddb1b2639e36af7ce3ba7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andrew Strong"
+EMAIL="andrew.david.strong@gmail.com"
diff --git a/audio/opustags/slack-desc b/audio/opustags/slack-desc
new file mode 100644
index 0000000000..0da78139cc
--- /dev/null
+++ b/audio/opustags/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+opustags: opustags (View and edit Ogg Opus comments.)
+opustags:
+opustags: opustags can read and edit the comment header of an Ogg Opus file.
+opustags: Multiple options are available to completely delete all tags,
+opustags: selectively delete and add tags and even to edit tags interactively
+opustags: in Vim.
+opustags:
+opustags:
+opustags: https://github.com/fmang/opustags
+opustags:
+opustags: